Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Private Member Functions | Private Attributes | List of all members
OpenMesh::VDPM::VHierarchyWindow Class Reference

`#include <libs_required/OpenMesh/src/OpenMesh/Tools/VDPM/VHierarchyWindow.hh>`

## Public Member Functions
| VHierarchyWindow (VHierarchy &_vhierarchy)
void | set_vertex_hierarchy (VHierarchy &_vhierarchy)
void | begin ()
void | next ()
bool | end ()
int | window_size () const
size_t | buffer_size () const
VHierarchyNodeHandle | node_handle ()
void | activate (VHierarchyNodeHandle _node_handle)
void | inactivate (VHierarchyNodeHandle _node_handle)
bool | is_active (VHierarchyNodeHandle _node_handle) const
void | init (VHierarchyNodeHandleContainer &_roots)
void | update_with_vsplit (VHierarchyNodeHandle _parent_handle)
void | update_with_ecol (VHierarchyNodeHandle _parent_handle)

## Private Member Functions
unsigned char | flag8 (unsigned char n_shift) const
unsigned char | flag8 (VHierarchyNodeHandle _node_handle) const
int | byte_idx (VHierarchyNodeHandle _node_handle) const
int | buffer_idx (VHierarchyNodeHandle _node_handle) const
bool | before_window (VHierarchyNodeHandle _node_handle) const
bool | after_window (VHierarchyNodeHandle _node_handle) const
bool | underflow (VHierarchyNodeHandle _node_handle) const
bool | overflow (VHierarchyNodeHandle _node_handle) const
bool | update_buffer (VHierarchyNodeHandle _node_handle)

## Private Attributes
VHierarchy * | vhierarchy_
unsigned char * | buffer_
int | buffer_min_
size_t | buffer_max_
int | current_pos_
int | window_min_
int | window_max_
unsigned char | n_shift_

## Detailed Description

Todo:
  VHierarchyWindow documentation

Definition at line 77 of file VHierarchyWindow.hh.

The documentation for this class was generated from the following files:

- libs_required/OpenMesh/src/OpenMesh/Tools/VDPM/VHierarchyWindow.hh
- libs_required/OpenMesh/src/OpenMesh/Tools/VDPM/VHierarchyWindow.cc